<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [Singularity](./bitburner.singularity.md) &gt; [getAugmentationFactions](./bitburner.singularity.getaugmentationfactions.md)

## Singularity.getAugmentationFactions() method

Get a list of faction(s) that have a specific Augmentation.

**Signature:**

```typescript
getAugmentationFactions(augName: string): FactionName[];
```

## Parameters

<table><thead><tr><th>

Parameter


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

augName


</td><td>

string


</td><td>

Name of Augmentation.


</td></tr>
</tbody></table>

**Returns:**

[FactionName](./bitburner.factionname.md)<!-- -->\[\]

Array containing the names of all factions.

## Remarks

RAM cost: 5 GB \* 16/4/1

Returns an array containing the names (as strings) of all factions that offer the specified Augmentation. If no factions offer the Augmentation, a blank array is returned.

